{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Marcas de renombre {% endblock title %}

{% block stylesheets %}
	<style>
		#form_comentarios {
		    margin-bottom: 3%;
		    resize: none;
		}
		#empleado_mes,#feliz_cumpleanios{
			height: 16em;
		}

		.progress-description {
		    color: rgb(255, 255, 255) !important;
		    height: 7vh;
		}

		#dtl_btn_mdr {
		    float: right;
			cursor: pointer;
			border: solid 1px rgba(159, 159, 159, 0.61);
		}

		#frame_noticias > .overlay {
    		margin-bottom: 41% !important;
		}
		.small-box {
		    height: 100px;
		    max-height: auto;
		}
		#show_pdf {
		    height: 100vh;
		    max-height: 100vh;
		}
	</style>	
{% endblock %}

{% block body -%}
        <section class="content">
        	<div class="row">
        		<div class="col-md-3" id="seccion_news">
        			<div class="box box-solid">
		                <div class="box-header with-border">
		                  <i class="fa fa-certificate"></i>
		                  <h3 class="box-title">Noticias</h3>
		                  <button onclick="LoadNoticias()" id="dtl_btn_mdr" class="reload_news"><i class="fa fa-repeat"></i></button>
		                  <button onclick="getInformacion()" id="dtl_btn_mdr" style="margin-right: 3px;"><i class="fa fa-question" style="padding: 3px;"></i></button>
		                </div><!-- /.box-header -->
		                <div class="box-body" style="max-height: 38em; overflow-y: auto; overflow-x: hidden;" id="frame_noticias">
		                 	
		                </div><!-- /.box-body -->
		            </div>
        			
        		</div>
        		<div class="col-md-9" id="seccion_body">
        			 <div class="row">		  
						  <div class="col-md-7">
						  	<div class="box">
						  		<div class="box-header">
				                  <h2 class="box-title">Ayúdanos a Mejorar</h2>
				                  <h5>Envianos tus comentarios, tú opinion es importante.</h5>
				                </div>
				                <div class="box-body">
				                	{{form(form_com)}}
				                </div>	
						  	</div>							  	
						  </div>
						  <div class="col-md-5">
						  		<div class="box box-default">
					                <div class="box-header with-border">
					                  <i class="fa fa-bullhorn"></i>
					                  <h3 class="box-title">MDR</h3>
					                </div><!-- /.box-header -->
							        <div class="box-body">
										<div class="info-box bg-aqua">
									        <span class="info-box-icon"><i class="fa fa-gavel"></i></span>
									        <div class="info-box-content">
									          <span class="info-box-text">Conoce tu reglamento</span>
									          <div class="progress">
									            <div class="progress-bar" style="width: 100%"></div>
									          </div>
									          <a onclick="getReglamentoGaceta(4);" class="progress-description" style="cursor:pointer;">
							                    Más Información <i class="fa fa-arrow-circle-right"></i>
							                  </a>
									        </div><!-- /.info-box-content -->
									    </div>
										<div class="info-box bg-green">
							                <span class="info-box-icon"><i class="fa fa-thumbs-o-up"></i></span>
							                <div class="info-box-content">
							                  <span class="info-box-text">Gaceta</span>
							                  <div class="progress">
							                    <div class="progress-bar" style="width: 100%"></div>
							                  </div>
							                  <a onclick="getReglamentoGaceta(5);" class="progress-description" style="cursor:pointer;">
							                    Más Información <i class="fa fa-arrow-circle-right"></i>
							                  </a>
							                </div><!-- /.info-box-content -->
							            </div>
									</div>	  	
						  		</div>
						  	</div>
						  <div class="col-md-6">
						  	<div class="box box-solid">
				                <div class="box-header with-border">
				                  <i class="fa fa-trophy"></i>
				                  <h3 class="box-title">Empleado(s) del Mes</h3>
				                  <button onclick="showEmpleadoMes()" id="dtl_btn_mdr"><i class="glyphicon glyphicon-eye-open"></i></button>
				                </div><!-- /.box-header -->
				                <div class="box-body" id="empleado_mes">	
							  		<img src="{{ prevem }}" width="100%" height="100%">
							  	</div>
							</div>  			
						  </div>
						  <div class="col-md-6">	
							  	<div class="box box-solid">
					                <div class="box-header with-border">
					                  <i class="fa fa-gift"></i>
					                  <h3 class="box-title">Feliz Cumpleaños A...</h3>
					                  <button onclick="showFelizCumpleanios()" id="dtl_btn_mdr"><i class="glyphicon glyphicon-eye-open"></i></button>
					                </div><!-- /.box-header -->
					                <div class="box-body" id="feliz_cumpleanios">
					                	<img src="{{ prevfc }}" width="100%" height="100%">
								  	</div>
								</div>  			
						  </div>
					</div>
        		</div>
        	</div>

        	<!-- POP UP INFORMACION RESPECTO A LAS NOTICIAS-->
        	<div class="modal" id="pp_info_news">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">Tipificacion de Noticias</h4>
                  </div>
                  <div class="modal-body">
                    	<div class="row">
                    		<div class="col-md-6">
                    			Noticias de color <b style="color: #23C323;">VERDER</b>
                    			<p>Noticias más revelantes del día</p>
                    		</div>
                    		<div class="col-md-6">
                    			Noticias de color <b style="color: #1010F9;">AZUL</b>
                    			<p>Noticias de información varia</p>
                    		</div>
                    		<div class="col-md-6">
                    			Noticias de color <b style="color: #F0CA26;">AMARILLO</b> 
                    			<p>Noticias de importancia regular</p>                  			
                    		</div>
                    		<div class="col-md-6">
                    			Noticias de color <b style="color: #F63A3A;">ROJO</b>
                    			<p>Noticias de suma importancia</p>
                    		</div>
                    	</div>	
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Salir</button>
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>


            <!-- POP UP INFORMACION AGENTE DEL MES-->
        	<div class="modal" id="pp_em_full">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">EMPLEADO(s) DEL MES</h4>
                  </div>
                  <div class="modal-body" style="text-align: center;">
                    	<img src="{{ showem }}" id="img_emp_mes_mdr" style="max-width: 100%;max-height: 72vh;">                    		
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Salir</button>
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>

            <!-- POP UP INFORMACION AGENTE DEL MES-->
        	<div class="modal" id="pp_fc_full">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">Felicidades !!</h4>
                  </div>
                  <div class="modal-body" style="text-align: center;">
                    	<img src="{{ showfc }}" id="img_flz_cmp_mdr" style="max-width: 100%;max-height: 65vh;">  	
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Salir</button>
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>


            <!-- POP UP INFORMACION DETALLADA DE LA NOTICIA-->
        	<div class="modal" id="pp_dtl_noticia">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">Noticia</h4>
                  </div>
                  <div class="modal-body" id="body_detalle_noticia">
                    	
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Salir</button>
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>

            <!-- POP UP INFORMACION DETALLADA DE PDF -->
        	<div class="modal" id="pp_dtl_PDF">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title" id="title_detalle_PDF">PDF</h4>
                  </div>
                  <div class="modal-body" id="body_detalle_PDF">
                    	
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Salir</button>
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>

        </section>
       
{% endblock %}

{% block javascripts %}

	<script src="{{ asset('vendor/js/pdfobject.js') }}" /></script>	
 	<script type="text/javascript" src="{{ asset('vendor/js/underscore.js') }}"></script>

<script type="text/template" id='detalle_noticia'>
  	<div class="row">
  		<div class="col-xs-12">
  			<% 
  			if(Info.TipoNoticia == "small-box bg-aqua")
      		{
  			%>
  				<div class="box box-info">
  			<% 
  			}else if(Info.TipoNoticia == "small-box bg-green")
      		{
  			%>
  				<div class="box box-success">
  			<% 
  			}else if(Info.TipoNoticia == "small-box bg-yellow")
      		{
  			%>
  				<div class="box box-warning">
  			<% 
  			}else if(Info.TipoNoticia == "small-box bg-red")
      		{
  			%>
  				<div class="box box-danger">
  			<% 
  			}else{
  			%>
  				<div class="box box-primary">
			<% 
  			}
  			%>  			
  				
	                <div class="box-header">
	                  <h3 class="box-title">Noticia #<%= Info.idNoticia %></h3>
	                </div>
	                <div class="row">
	                	<div class="col-xs-4">
							<img src=<%= Info.Imagen %> style="width: 100%;margin-left: 10%;" id="img_destino">
						</div>
						<div class="col-xs-8" style="text-align: center; font-size: 27px; font-weight: 600;word-wrap: break-word;">
							<%= Info.TituloNoticia %>	
						</div>
						<div class="col-xs-12" style="padding: 5px 29px; font-size: 15px; font-weight: 600; text-align: left;word-wrap: break-word;">
							<%= Info.Noticia %>
						</div>
						<div class="col-xs-6" style="padding: 5px 26px; text-align: center; font-weight: 600;word-wrap: break-word;">
							<label>Autor: </label> <%= Info.Usuario.fullname %>
						</div>
						<div class="col-xs-6" style="padding: 5px 26px; text-align: center; font-weight: 600;word-wrap: break-word;">
							<% 
				  			if(Info.URL)
				      		{
				  			%>
				  			<label>Link de consulta: </label>   <a href="<%= Info.URL %>"  target="_blank"><%= Info.URL %></a>
				  			<%
				  			}
				  			%>
						</div>
	                </div>
              	</div>
  		</div>	
  	</div>	
</script>
<script type="text/template" id='detalle_PDF'>
	<div class="box box-success">
        <div class="box-body" id="show_pdf">
          
        </div>
    </div>
    <script>
    	urlPDF = '<%= Info.Valor  %>';

		var myPDF = new PDFObject({ 
		
			url: urlPDF,
			pdfOpenParams: {
				navpanes: 0,
				toolbar: 0,
				statusbar: 0,
				view: "FitH"
			}
		
		}).embed("show_pdf");

    </script>
</script>
	<script>
		
		$(document).ready(function() {  
			
			

			LoadNoticias();
			//segundos = 1 seg = 1000
			setInterval(LoadNoticias, 200000);
			
		});


		function SendMessage(){
			var area = $('form_area').val();
			var mensaje =  $('form_comentarios').val();

			if(area && mensaje){

			}else{
				alert("Deben tener datos los campos:</br>->Area</br>->Comentarios");
			}
		}

		function getInformacion(){
			$('#pp_info_news').modal({
		      backdrop: 'static',
		      keyboard: false
		    });
		}

		function openDtlNoticia(idNoticia){
			var urlGetNoticias = "{{path('get_info_noticia')}}"; 
			showLoading("Cargando Información de la Noticia");
			$.post(urlGetNoticias, {idNoticia:idNoticia}, function(data, textStatus, xhr) {

				if(data.estatus == 1){
					var template = _.template(document.getElementById("detalle_noticia").textContent);
	    			var html_flujo = template(data);
	    			$("#body_detalle_noticia").html(html_flujo);
					hideLoading();
					$('#pp_dtl_noticia').modal({
				      backdrop: 'static',
				      keyboard: false
				    });
				}else{
					hideLoading();
					alert(data.Info);
				}
				

			});
		}

		function LoadNoticias(){
				
				$('#frame_noticias').html('<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div><label style="margin-left: 23%;">Cargando Noticias</label>');
				$('.reload_news').attr("disabled", true); 
				var body =""
			    var urlGetNoticias = "{{path('noticias_json')}}"; 
			    $.post(urlGetNoticias, {}, function(data, textStatus, xhr) {

			      if(data.estatus == 1){
			      	for(var x=0;x<=data.noticias.length-1;x++){
			      		body = body+'<div class="'+data.noticias[x].TipoNoticia+'" >'+
						  			'<div class="inner" style="word-wrap: break-word;">'+
						  				'<label>'+data.noticias[x].TituloNoticia+'</label>'+
									'</div>'+
									'<div class="icon">';

										if (data.noticias[x].TipoNoticia == "small-box bg-aqua") {
										    body = body+'<i class="fa fa-bookmark"></i>';
										}else if(data.noticias[x].TipoNoticia == "small-box bg-green"){
											body = body+'<i class="fa fa-comment-o"></i>';
										}else if(data.noticias[x].TipoNoticia == "small-box bg-yellow"){
											body = body+'<i class="glyphicon glyphicon-bullhorn"></i>';
										}else if(data.noticias[x].TipoNoticia == "small-box bg-red"){
											body = body+'<i class="glyphicon glyphicon-warning-sign"></i>';
										}

						body = body+'</div>'+
									'<a onclick="openDtlNoticia('+data.noticias[x].idNoticia+')" class="small-box-footer" style="cursor:pointer;">'+
										'Más Información <i class="fa fa-arrow-circle-right"></i>'+
									'</a>'+
						  			'</div>';
			      	}

			      	$('#frame_noticias').html(body);
			      	$('.reload_news').attr("disabled", false); 
			      }else if(data.estatus == 2){
			      	$('#frame_noticias').html('<label>'+data.noticias+'</label>');
			      	$('.reload_news').attr("disabled", false); 
			      }else{
			        $('#frame_noticias').html('<label>'+data.noticias+'</label>');
			        $('.reload_news').attr("disabled", false); 
			      }
			     
			    });

			}

			function showEmpleadoMes(){
				$('#pp_em_full').modal({
				      backdrop: 'static',
				      keyboard: false
				    });
			}

			function showFelizCumpleanios(){
				$('#pp_fc_full').modal({
				      backdrop: 'static',
				      keyboard: false
				    });
			}

			function getReglamentoGaceta(id){
				var urlGetReglamentoGaceta = "{{path('get_info_gaceta_reglamento')}}"; 
				showLoading("Cargando Información");
				$.post(urlGetReglamentoGaceta, {id:id}, function(data, textStatus, xhr) {

					if(data.estatus == 1){
						var template = _.template(document.getElementById("detalle_PDF").textContent);
		    			var html_flujo = template(data);
		    			if(id == 4){
		    				$("#title_detalle_PDF").html("REGLAMENTO");
		    			}else{
		    				$("#title_detalle_PDF").html("GACETA");
		    			}
		    			$("#body_detalle_PDF").html(html_flujo);
						hideLoading();
						$('#pp_dtl_PDF').modal({
					      backdrop: 'static',
					      keyboard: false
					    });
					}else{
						hideLoading();
						alert(data.Info);
					}
					

				});
			}
	</script>
{% endblock %}